=== modified file 'commit.py'
--- commit.py	2007-03-21 00:24:51 +0000
+++ commit.py	2007-07-19 13:16:31 +0000
@@ -153,9 +153,14 @@
                               '/org/freedesktop/NetworkManager')
                 dbus_iface = dbus.Interface(
                         proxy_obj, 'org.freedesktop.NetworkManager')
-                # 3 is the enum value for STATE_CONNECTED
-                self._check_local.set_active(dbus_iface.state() != 3)
-        
+                try:
+                    # 3 is the enum value for STATE_CONNECTED
+                    self._check_local.set_active(dbus_iface.state() != 3)
+                except dbus.DBusException, e:
+                    # Silently drop errors. While DBus may be 
+                    # available, NetworkManager doesn't necessarily have to be
+                    mutter("unable to get networkmanager state: %r" % e)
+                
         # Create the file list
         self._create_file_view()
         # Create the pending merges

